Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.lang.model.element
Interface PackageElement

All Superinterfaces:
  Element

    public interface PackageElement

extends Element

Represents a package program element. Provides access to information about the package and its members.

Since:
  1.6
See Also:
  `Elements.getPackageOf(javax.lang.model.element.Element)`

Method Summary
`Name` | `getQualifiedName()` Returns the fully qualified name of this package.
`boolean` | `isUnnamed()` Returns `true` is this is an unnamed package and `false` otherwise.

Methods inherited from interface javax.lang.model.element.Element
`accept, asType, equals, getAnnotation, getAnnotationMirrors, getEnclosedElements, getEnclosingElement, getKind, getModifiers, getSimpleName, hashCode`

Method Detail

### getQualifiedName

    Name getQualifiedName()

  Returns the fully qualified name of this package. This is also known as the package's canonical name.

  Returns:
    the fully qualified name of this package, or an empty name if this is an unnamed package
  See The Java Language Specification, Third Edition:
    6.7 Fully Qualified Names and Canonical Names

### isUnnamed

    boolean isUnnamed()

  Returns `true` is this is an unnamed package and `false` otherwise.

  Returns:
    `true` is this is an unnamed package and `false` otherwise
  See The Java Language Specification, Third Edition:
    7.4.2 Unnamed Packages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.